Skip to main content
GET
/
v0
/
billableMetrics
/
{id}
/
meter
Query Meter Usage
curl --request GET \
  --url https://api.paygentic.io/v0/billableMetrics/{id}/meter \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paygentic.io/v0/billableMetrics/{id}/meter"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paygentic.io/v0/billableMetrics/{id}/meter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "meter",
  "billableMetricId": "bm_abc",
  "totalValue": 42.5,
  "windowedValues": [
    {
      "windowStart": "2025-06-15T10:00:00.000Z",
      "windowEnd": "2025-06-15T11:00:00.000Z",
      "value": 12
    }
  ],
  "groupedValues": [
    {
      "groupBy": {
        "model": "gpt-4"
      },
      "value": 30
    }
  ]
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

Unique identifier for a billable metric

Pattern: ^bm_[a-zA-Z0-9]+$

Query Parameters

from
string<date-time>
required

Start of query window (ISO 8601)

to
string<date-time>
required

End of query window (ISO 8601)

subject
string

Filter by customer/user ID

windowSize
enum<string>

Time bucket granularity

Available options:
MINUTE,
HOUR,
DAY,
MONTH
filterGroupBy
string

JSON-encoded dimension filter (e.g. {"key":"value"})

groupBy
string

Comma-separated dimension keys

Response

Usage data

object
enum<string>
default:meter
required
Available options:
meter
billableMetricId
string
required

Unique identifier for a billable metric

Pattern: ^bm_[a-zA-Z0-9]+$
totalValue
number
required

Total aggregated value across the query window

windowedValues
object[]

Time-bucketed values. Only present when windowSize is specified.

groupedValues
object[]

Dimension-grouped values. Only present when groupBy is specified.